summaryrefslogtreecommitdiffstats
path: root/tests/tier.rc
diff options
context:
space:
mode:
authorN Balachandran <nbalacha@redhat.com>2015-10-20 22:23:17 +0530
committerDan Lambright <dlambrig@redhat.com>2015-10-21 19:47:39 -0700
commit594a03b030577bf0ed6960199e920cc5fa7e7afc (patch)
tree2c99babdb9efe4604b6deed5f4ff7fd05220b3cf /tests/tier.rc
parent36974c36fa4231df3f0e9428a9da6d1aa33348ab (diff)
tests/tier: Move common functions to tier.rc
Move common functions in tier .t files to tier.rc Change-Id: Ibc312d987be9d93e7cc7fc47d0bf598bb1c944c2 BUG: 1272319 Signed-off-by: N Balachandran <nbalacha@redhat.com> Reviewed-on: http://review.gluster.org/12404 Tested-by: Gluster Build System <jenkins@build.gluster.com> Reviewed-by: Dan Lambright <dlambrig@redhat.com> Tested-by: Dan Lambright <dlambrig@redhat.com>
Diffstat (limited to 'tests/tier.rc')
-rw-r--r--tests/tier.rc85
1 files changed, 85 insertions, 0 deletions
diff --git a/tests/tier.rc b/tests/tier.rc
new file mode 100644
index 00000000000..393d712f3bb
--- /dev/null
+++ b/tests/tier.rc
@@ -0,0 +1,85 @@
+#!/bin/bash
+
+# Common tier functions
+
+# Check if a file is being migrated
+# by checking for the presence of
+# the sticky bit
+# Args: $1 : path to file
+
+function is_sticky_set () {
+ echo $1
+ if [ -k $1 ];
+ then
+ echo "yes"
+ else
+ echo "no"
+ fi
+}
+
+
+function check_counters {
+ index=0
+ ret=0
+ rm -f /tmp/tc*.txt
+ echo "0" > /tmp/tc2.txt
+ $CLI volume rebalance $V0 tier status | grep localhost > /tmp/tc.txt
+
+ promote=`cat /tmp/tc.txt |awk '{print $2}'`
+ demote=`cat /tmp/tc.txt |awk '{print $3}'`
+ if [ "${promote}" != "${1}" ]; then
+ echo "1" > /tmp/tc2.txt
+
+ elif [ "${demote}" != "${2}" ]; then
+ echo "2" > /tmp/tc2.txt
+ fi
+
+ # temporarily disable non-Linux tests.
+ case $OSTYPE in
+ NetBSD | FreeBSD | Darwin)
+ echo "0" > /tmp/tc2.txt
+ ;;
+ esac
+ cat /tmp/tc2.txt
+}
+
+
+# Grab md5sum without file path (failed attempt notifications are discarded)
+function fingerprint {
+ md5sum $1 2> /dev/null | grep --only-matching -m 1 '^[0-9a-f]*'
+}
+
+
+
+# Create a large number of files in the current directory.
+# $1 : file name prefix. Will create files $2-1 to $2-$3
+# $2 : number of files
+
+function create_many_files {
+ filename=$1
+ num=$2
+
+ for i in `seq 1 $num`; do
+ dd if=/dev/urandom of=./${dirname}/${filename}$i bs=104857 count=1;
+ done
+}
+
+
+function confirm_tier_removed {
+ $CLI system getspec $V0 | grep $1
+ if [ $? == 0 ]; then
+ echo "1"
+ else
+ echo "0"
+ fi
+}
+
+function confirm_vol_stopped {
+ $CLI volume stop $1
+ if [ $? == 0 ]; then
+ echo "0"
+ else
+ echo "1"
+ fi
+}
+